Get all transactions
get
/fscmRestApi/resources/11.13.18.05/interfacedPickTransactions
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds an interfaced pick transaction according to the primary key.
Finder Variables- TransactionInterfaceId; integer; Value that uniquely identifies the transaction.
- PrimaryKey Finds an interfaced pick transaction according to the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AllocatedQuantity; number; Quantity allocated by the Warehouse Management System (WMS) or third-party logistics (3PL) system.
- ConsignmentAgreementNumber; string; Consignment agreement number for the consigned material. This column is populated if the Supplier Name, Supplier Number, Procurement Business Unit, or Supplier Site Code is insufficient to derive the Supplier Site ID.
- DestinationLocatorId; integer; Identifies the destination locator ID of the transaction.
- DestinationLocatorName; string; Describes the destination locator of the transaction.
- DestinationSubinventoryCode; string; Describes the destination subinventory of the transaction.
- ErrorCode; string; Error message code that indicates the reason for the failure.
- ErrorExplanation; string; Error message text that explains the reason for the failure.
- ExternalSystemPackingUnit; string; License-plate number of the external or third-party Warehouse Management System (WMS).
- ExternalSystemTransactionReference; string; Link to the transaction references passed by an external Warehouse Management System (WMS) or third-party logistics (3PL) system.
- InventoryItemId; integer; Identifies the inventory item.
- ItemNumber; string; Identifies the product or material by name.
- MovementRequestHeaderId; integer; Identifies the movement-request header by ID.
- MovementRequestHeaderNumber; string; Identifies the movement-request header by number.
- MovementRequestLineId; integer; Movement-request line ID tied to the pick-transaction line.
- MovementRequestLineNumber; integer; Movement-request line number tied to the pick-transaction line.
- OrganizationCode; string; Identifies the inventory organization code.
- OrganizationId; integer; Identifies the inventory organization ID.
- OwningOrganizationCode; string; Owning-organization code for the pick-transaction record.
- OwningOrganizationId; integer; Owning-organization identifier for the pick-transaction record.
- OwningTradingPartnerType; string; Owning type for the pick-transaction record. The values are based on the lookup type ORA_INV_OWNING_TYPES in FND_LOOKUPS.
- OwningTradingPartnerTypeCode; string; Owning-type code for the pick-transaction record.
- PrimaryTransactionQuantity; number; Transaction quantity of the item's primary unit of measure.
- ProcessingFlag; boolean; Contains one of the following values: true or false. If true, then the input data is first validated to ensure its accuracy and completeness and then the record is processed. If false, the data is directly inserted into the table without any further processing.
- ProcurementBUName; string; Procuring-business unit for the pick-transaction record when there's a consigned quantity.
- ReasonId; integer; Identifies the pick-transaction reason by number.
- ReasonName; string; Identifies the pick-transaction reason by name. The values are based on the lookup type INV_REASON_TYPES in FND_LOOKUPS.
- Revision; string; Revision of the item when revision control is enabled.
- SecondaryTransactionQuantity; number; Secondary transaction quantity for the pick-confirm transaction.
- SecondaryUOMCode; string; Secondary unit of the measure code used for the pick-confirm transaction.
- SecondaryUOMName; string; Secondary unit of the measure name used for the pick-confirm transaction.
- ShortQuantity; number; Quantity short-picked by the Warehouse Management System (WMS) or third-party logistics (3PL) system.
- SourceCode; string; Transaction source code used for audit and process control.
- SourceLocatorId; integer; Identifies the source locator ID of the transaction.
- SourceLocatorName; string; Describes the source locator of the transaction.
- SourceSubinventoryCode; string; Describes the source subinventory of the transaction.
- Status; string; Description of the status.The values are based on the lookup type ORA_INTERFACED_PICK_TXN_STATUS in FND_LOOKUPS.
- StatusCode; string; Abbreviation that identifies the status of the pick-transaction record.
- TransactionDate; string; Indicates the date when the transaction was created.
- TransactionInterfaceId; integer; Interface identifier for the pick-confirm transaction.
- TransactionQuantity; number; Transaction quantity in the user's preferred unit of measure.
- TransactionReference; string; Reference code for the pick-confirm transaction.
- TransactionTypeId; integer; Identifies the transaction type.
- TransactionTypeName; string; Identifies the transaction type by name. The values are based on the Transaction Type Name in INV_TRANSACTION_TYPES_TL.
- TransactionUOMCode; string; Transaction unit of the measure code.
- TransactionUOMName; string; Transaction unit of the measure name.
- VendorName; string; Supplier name for the pick-transaction record when there's a consigned quantity.
- VendorNumber; string; Supplier number for the pick-transaction record when there's a consigned quantity.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : interfacedPickTransactions
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : interfacedPickTransactions-item-response
Type:
Show Source
object-
AllocatedQuantity: number
Quantity allocated by the Warehouse Management System (WMS) or third-party logistics (3PL) system.
-
ConsignmentAgreementNumber: string
Maximum Length:
30Consignment agreement number for the consigned material. This column is populated if the Supplier Name, Supplier Number, Procurement Business Unit, or Supplier Site Code is insufficient to derive the Supplier Site ID. -
DestinationLocatorId: integer
(int64)
Identifies the destination locator ID of the transaction.
-
DestinationLocatorName: string
Maximum Length:
255Describes the destination locator of the transaction. -
DestinationSubinventoryCode: string
Maximum Length:
10Describes the destination subinventory of the transaction. -
DFF: array
DFF
-
ErrorCode: string
Read Only:
trueMaximum Length:50Error message code that indicates the reason for the failure. -
ErrorExplanation: string
Read Only:
trueMaximum Length:240Error message text that explains the reason for the failure. -
ExternalSystemPackingUnit: string
Maximum Length:
150License-plate number of the external or third-party Warehouse Management System (WMS). -
ExternalSystemTransactionReference: string
Maximum Length:
300Link to the transaction references passed by an external Warehouse Management System (WMS) or third-party logistics (3PL) system. -
InventoryItemId: integer
(int64)
Identifies the inventory item.
-
ItemNumber: string
Maximum Length:
300Identifies the product or material by name. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
lots: array
Lots
Title:
LotsThe Lots resource manages the lots of an interfaced pick transaction. -
MovementRequestHeaderId: integer
(int64)
Identifies the movement-request header by ID.
-
MovementRequestHeaderNumber: string
Maximum Length:
30Identifies the movement-request header by number. -
MovementRequestLineId: integer
(int64)
Movement-request line ID tied to the pick-transaction line.
-
MovementRequestLineNumber: integer
(int64)
Movement-request line number tied to the pick-transaction line.
-
OrganizationCode: string
Maximum Length:
18Identifies the inventory organization code. -
OrganizationId: integer
(int64)
Identifies the inventory organization ID.
-
OwningOrganizationCode: string
Maximum Length:
18Owning-organization code for the pick-transaction record. -
OwningOrganizationId: integer
(int64)
Owning-organization identifier for the pick-transaction record.
-
OwningTradingPartnerType: string
Maximum Length:
255Owning type for the pick-transaction record. The values are based on the lookup type ORA_INV_OWNING_TYPES in FND_LOOKUPS. -
OwningTradingPartnerTypeCode: string
Maximum Length:
30Owning-type code for the pick-transaction record. -
PrimaryTransactionQuantity: number
Transaction quantity of the item's primary unit of measure.
-
ProcessingFlag: boolean
Contains one of the following values: true or false. If true, then the input data is first validated to ensure its accuracy and completeness and then the record is processed. If false, the data is directly inserted into the table without any further processing.
-
ProcurementBUName: string
Maximum Length:
240Procuring-business unit for the pick-transaction record when there's a consigned quantity. -
ReasonId: integer
(int64)
Identifies the pick-transaction reason by number.
-
ReasonName: string
Maximum Length:
80Identifies the pick-transaction reason by name. The values are based on the lookup type INV_REASON_TYPES in FND_LOOKUPS. -
Revision: string
Maximum Length:
18Revision of the item when revision control is enabled. -
SecondaryTransactionQuantity: number
Secondary transaction quantity for the pick-confirm transaction.
-
SecondaryUOMCode: string
Maximum Length:
3Secondary unit of the measure code used for the pick-confirm transaction. -
SecondaryUOMName: string
Maximum Length:
25Secondary unit of the measure name used for the pick-confirm transaction. -
serials: array
Lot Serials
Title:
Lot SerialsThe Lot Serials resource manages the serials for a lot of an interfaced pick transaction when an item is both lot and serial-controlled. -
ShortQuantity: number
Quantity short-picked by the Warehouse Management System (WMS) or third-party logistics (3PL) system.
-
SourceCode: string
Maximum Length:
30Transaction source code used for audit and process control. -
SourceLocatorId: integer
(int64)
Identifies the source locator ID of the transaction.
-
SourceLocatorName: string
Maximum Length:
255Describes the source locator of the transaction. -
SourceSubinventoryCode: string
Maximum Length:
10Describes the source subinventory of the transaction. -
Status: string
Read Only:
trueMaximum Length:255Description of the status.The values are based on the lookup type ORA_INTERFACED_PICK_TXN_STATUS in FND_LOOKUPS. -
StatusCode: string
Read Only:
trueMaximum Length:30Abbreviation that identifies the status of the pick-transaction record. -
trackingAttributesDFF: array
trackingAttributesDFF
-
TransactionDate: string
(date)
Indicates the date when the transaction was created.
-
TransactionInterfaceId: integer
(int64)
Read Only:
trueInterface identifier for the pick-confirm transaction. -
TransactionQuantity: number
Transaction quantity in the user's preferred unit of measure.
-
TransactionReference: string
Maximum Length:
240Reference code for the pick-confirm transaction. -
TransactionTypeId: integer
(int64)
Identifies the transaction type.
-
TransactionTypeName: string
Maximum Length:
80Identifies the transaction type by name. The values are based on the Transaction Type Name in INV_TRANSACTION_TYPES_TL. -
TransactionUOMCode: string
Maximum Length:
3Transaction unit of the measure code. -
TransactionUOMName: string
Maximum Length:
25Transaction unit of the measure name. -
VendorName: string
Maximum Length:
240Supplier name for the pick-transaction record when there's a consigned quantity. -
VendorNumber: string
Maximum Length:
20Supplier number for the pick-transaction record when there's a consigned quantity.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Lots
Type:
arrayTitle:
LotsThe Lots resource manages the lots of an interfaced pick transaction.
Show Source
Nested Schema : Lot Serials
Type:
arrayTitle:
Lot SerialsThe Lot Serials resource manages the serials for a lot of an interfaced pick transaction when an item is both lot and serial-controlled.
Show Source
Nested Schema : interfacedPickTransactions-DFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
ContextMaximum Length:30Context -
__FLEX_Context_DisplayValue: string
Title:
ContextContext -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
TransactionInterfaceId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : interfacedPickTransactions-lots-item-response
Type:
Show Source
object-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LotNumber: string
Maximum Length:
80Lot number for the item. -
lotSerials: array
Lot Serials
Title:
Lot SerialsThe Lot Serials resource manages the serials for a lot of an interfaced pick transaction when an item is both lot and serial-controlled. -
PrimaryQuantity: number
Transaction quantity in the primary unit of measure that the item uses.
-
SecondaryTransactionQuantity: number
Transaction quantity of an item in its secondary unit of measure.
-
TransactionQuantity: number
Transaction quantity of the item.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Lot Serials
Type:
arrayTitle:
Lot SerialsThe Lot Serials resource manages the serials for a lot of an interfaced pick transaction when an item is both lot and serial-controlled.
Show Source
Nested Schema : interfacedPickTransactions-lots-lotSerials-item-response
Type:
Show Source
object-
FromSerialNumber: string
Maximum Length:
80Starting serial number in a range of serial numbers for a serial-controlled item. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ToSerialNumber: string
Maximum Length:
80Ending serial number in a range of serial numbers for a serial-controlled item.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : interfacedPickTransactions-serials-item-response
Type:
Show Source
object-
FromSerialNumber: string
Maximum Length:
80Starting serial number in a range of serial numbers for a serial-controlled item. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ToSerialNumber: string
Maximum Length:
80Ending serial number in a range of serial numbers for a serial-controlled item.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : interfacedPickTransactions-trackingAttributesDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context SegmentMaximum Length:40Context Segment -
__FLEX_Context_DisplayValue: string
Title:
Context SegmentContext Segment -
countryOfOriginCode: string
Title:
Country of OriginMaximum Length:2Country of Origin -
countryOfOriginCode_Display: string
Title:
Country of OriginCountry of Origin -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
projectId: integer
(int64)
Title:
ProjectProject -
projectId_Display: string
Title:
ProjectProject -
taskId: integer
(int64)
Title:
TaskTask -
taskId_Display: string
Title:
TaskTask -
TransactionInterfaceId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Examples
This example describes how to get all transactions.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/interfacedPickTransactions"
Example Response Body
The following example includes the contents of the response body
in JSON format:
{
"items": [
{
"ProcessingFlag": "true",
"TransactionInterfaceId": 22637,
"OrganizationId": 606,
"OrganizationCode": "M3",
"InventoryItemId": 663997,
"ItemNumber": "VC110",
"Revision": "A",
"SourceSubinventoryCode": "Stores",
"SourceLocatorId": null,
"SourceLocatorName": null,
"DestinationSubinventoryCode": null,
"DestinationLocatorId": null,
"DestinationLocatorName": null,
"PrimaryTransactionQuantity": 1,
"TransactionQuantity": 1,
"TransactionUOMCode": "Ea",
"TransactionUOMName": "Each",
"SecondaryTransactionQuantity": null,
"SecondaryUOMCode": "Ea",
"SecondaryUOMName": "Each",
"AllocatedQuantity": 1,
"ShortQuantity": null,
"TransactionDate": null,
"TransactionTypeId": 35,
"TransactionTypeName": "Work in Process Material Issue",
"MovementRequestHeaderId": 5604007,
"MovementRequestHeaderNumber": "5604007",
"MovementRequestLineId": 4294204,
"MovementRequestLineNumber": 137,
"SourceCode": null,
"TransactionReference": "FBDI_BULK_LSR_7",
"ExternalSystemTransactionReference": null,
"ExternalSystemPackingUnit": null,
"ReasonId": null,
"ReasonName": null,
"StatusCode": "ORA_PENDING",
"Status": null,
"ErrorCode": null,
"ErrorExplanation": null,
"OwningOrganizationId": null,
"OwningOrganizationCode": null,
"OwningTradingPartnerTypeCode": null,
"OwningTradingPartnerType": null,
"ProcurementBUName": null,
"VendorName": null,
"VendorNumber": null,
"ConsignmentAgreementNumber": null
},
{
"ProcessingFlag": "true",
"TransactionInterfaceId": 22644,
"OrganizationId": 606,
"OrganizationCode": "M3",
"InventoryItemId": 663997,
"ItemNumber": "VC110",
"Revision": "A",
"SourceSubinventoryCode": "Stores",
"SourceLocatorId": null,
"SourceLocatorName": null,
"DestinationSubinventoryCode": null,
"DestinationLocatorId": null,
"DestinationLocatorName": null,
"PrimaryTransactionQuantity": 1,
"TransactionQuantity": 1,
"TransactionUOMCode": "Ea",
"TransactionUOMName": "Each",
"SecondaryTransactionQuantity": null,
"SecondaryUOMCode": "Ea",
"SecondaryUOMName": "Each",
"AllocatedQuantity": 1,
"ShortQuantity": null,
"TransactionDate": null,
"TransactionTypeId": 35,
"TransactionTypeName": "Work in Process Material Issue",
"MovementRequestHeaderId": 5604007,
"MovementRequestHeaderNumber": "5604007",
"MovementRequestLineId": 4294211,
"MovementRequestLineNumber": 144,
"SourceCode": null,
"TransactionReference": "FBDI_BULK_LSR_7",
"ExternalSystemTransactionReference": null,
"ExternalSystemPackingUnit": null,
"ReasonId": null,
"ReasonName": null,
"StatusCode": "ORA_PENDING",
"Status": null,
"ErrorCode": null,
"ErrorExplanation": null,
"OwningOrganizationId": null,
"OwningOrganizationCode": null,
"OwningTradingPartnerTypeCode": null,
"OwningTradingPartnerType": null,
"ProcurementBUName": null,
"VendorName": null,
"VendorNumber": null,
"ConsignmentAgreementNumber": null
}
],
"count": 2,
"hasMore": false,
"limit": 25,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/interfacedPickTransactions",
"name": "interfacedPickTransactions",
"kind": "collection"
}
]
}